package hdm.mi.sthbackend.controller;

import hdm.mi.sthbackend.service.UserService;
import hdm.mi.sthbackend.types.UserType.UserSignUpType;
import lombok.AllArgsConstructor;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController("/api/v1/user")
@AllArgsConstructor
public class UserController {

    private final Logger log = LogManager.getLogger(this.getClass().getSimpleName());
    private final UserService userService;

    @PostMapping("/signup")
    public void signUpUser(@RequestBody UserSignUpType userSignUpType) {
        log.debug("Signing up user: " + userSignUpType);
        userService.signUpUser(userSignUpType);
    }
    @PostMapping("/signin")
    public void signInUser() {

    }
    public void confirmUser() {

    }
    public void deleteUser() {

    }

}
