package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.Map;
import java.util.UUID;

@Document("User")
@AllArgsConstructor
public class User {
    private final Logger log = LogManager.getLogger("User");

    private UUID userId;
    private String username;
    private String email;
    private String password;
    private boolean valid;
    private LocalDateTime creationDate;
    private LocalDateTime lastLoginDate;
    private String sessionToken;
    private Map<UUID, Tournament> tournaments;

}
