package hdm.mi.sthbackend.service;

import lombok.AllArgsConstructor;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

@AllArgsConstructor
@Service
public class EmailService implements IEmailService{

    private final Logger log = LogManager.getLogger(this.getClass()
            .getSimpleName());

    public void send(String to, String subject, String body) {
        log.debug("Sending email to: " + to);
        log.debug("Subject: " + subject);
        log.debug("Body: " + body);
    }


}
